BorderUIResource.BevelBorderUIResource (Java Platform SE 8 )
Keywords: javax.swing.plaf.BorderUIResource.BevelBorderUIResource class
Date: 2015-11-19

javax.swing.plaf

## Class BorderUIResource.BevelBorderUIResource

- java.lang.Object
- - javax.swing.border.AbstractBorder
  - - javax.swing.border.BevelBorder
    - - javax.swing.plaf.BorderUIResource.BevelBorderUIResource

- All Implemented Interfaces:
    Serializable, Border, UIResource
  Enclosing class:
    BorderUIResource

      public static class BorderUIResource.BevelBorderUIResource
      extends BevelBorder
      implements UIResource

- - ### Field Summary

    - ### Fields inherited from class javax.swing.border.BevelBorder

      `bevelType, highlightInner, highlightOuter, LOWERED, RAISED, shadowInner, shadowOuter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BevelBorderUIResource(int bevelType)`
    `BevelBorderUIResource(int bevelType, Color highlight, Color shadow)`
    `BevelBorderUIResource(int bevelType, Color highlightOuter, Color highlightInner, Color shadowOuter, Color shadowInner)`

  - ### Method Summary

    - ### Methods inherited from class javax.swing.border.BevelBorder

      `getBevelType, getBorderInsets, getHighlightInnerColor, getHighlightInnerColor, getHighlightOuterColor, getHighlightOuterColor, getShadowInnerColor, getShadowInnerColor, getShadowOuterColor, getShadowOuterColor, isBorderOpaque, paintBorder, paintLoweredBevel, paintRaisedBevel`

    - ### Methods inherited from class javax.swing.border.AbstractBorder

      `getBaseline, getBaselineResizeBehavior, getBorderInsets, getInteriorRectangle, getInteriorRectangle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BevelBorderUIResource

          public BevelBorderUIResource(int bevelType)

    - #### BevelBorderUIResource

          public BevelBorderUIResource(int bevelType,
                                       Color highlight,
                                       Color shadow)

    - #### BevelBorderUIResource

          @ConstructorProperties(value={"bevelType","highlightOuterColor","highlightInnerColor","shadowOuterColor","shadowInnerColor"})
          public BevelBorderUIResource(int bevelType,
                                                                                                                                                                     Color highlightOuter,
                                                                                                                                                                     Color highlightInner,
                                                                                                                                                                     Color shadowOuter,
                                                                                                                                                                     Color shadowInner)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.